clang 10.0.0git

Namespaces | Functions | Variables
LoopWidening.cpp File Reference
`#include "clang/AST/AST.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ExplodedGraph.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/LoopWidening.h"`
Include dependency graph for LoopWidening.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Functions
static const Expr * | getLoopCondition (const Stmt *LoopStmt)
| Return the loops condition Stmt or NULL if LoopStmt is not a loop. More...
ProgramStateRef | clang::ento::getWidenedLoopState (ProgramStateRef PrevState, const LocationContext *LCtx, unsigned BlockCount, const Stmt *LoopStmt)
| Get the states that result from widening the loop. More...

## Variables
const auto | MatchRef = "matchref"

## Function Documentation

## ◆ getLoopCondition()

static const Expr* getLoopCondition | ( | const Stmt * | LoopStmt | ) |
| static

Return the loops condition Stmt or NULL if LoopStmt is not a loop.

Definition at line 28 of file LoopWidening.cpp.

References clang::Stmt::getStmtClass().

## Variable Documentation

## ◆ MatchRef

const auto MatchRef = "matchref"

Definition at line 25 of file LoopWidening.cpp.